# tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor Class Reference

Combines data access, locking, and garbage collection. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor:

List of all members.

## Public Types

typedef const concurrent_hash_map::value_type | value_type
| Type of value.

## Public Member Functions

bool | empty () const
| True if result is empty.
void | release ()
| Set to null.
const_reference | operator * () const
| Return reference to associated value in hash table.
const_pointer | operator-> () const
| Return pointer to associated value in hash table.
| const_accessor ()
| Create empty result.
| ~const_accessor ()
| Destroy result after releasing the underlying reference.

## Protected Member Functions

bool | is_writer ()

## Protected Attributes

node * | my_node
hashcode_t | my_hash

## Friends

class | concurrent_hash_map< Key, T, HashCompare, Allocator >
class | accessor

## Detailed Description

### template<typename Key, typename T, typename HashCompare, typename Allocator>
class tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor

Combines data access, locking, and garbage collection.

The documentation for this class was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.